This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

Help with EZ430-RF2560 ( Error[e117] )

Hi,

I tried to build EZ430-RF2560 Bluetooth SDK with IAR 5.20 full 30 days.

Error[e117]: Incompatible runtime models. Module accelerometer_pl specifies that '__data_model' must be 'small', but module vendor_specific_script 
has the value 'large'


Error while running Linker

How to fix it?

Thanks.

3 Replies

  • This problem is fixed but the new error is found.

    Fatal Error[e72]: Segment DATA20_Z must be defined in a segment definition option (-Z, -b or -P)

    How to fix it?

     

    Thanks

     

  • In reply to Paulo Tovo:

    Paulo,

        Did you modify the project settings?

    Rgds,

  • In reply to Paulo Tovo:

    Did you try to compile the workspace using an older version of the IAR Workbench before? It messes up the settings.

    Just reinstall the EZ430-RF2560 SDK and compile with IAR Workbench 5.20.

This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.